### Method

# Fwupd Client get_devices_by_guid

#### Declaration [src]

    GPtrArray*
    fwupd_client_get_devices_by_guid (
      FwupdClient* self,
      const gchar* guid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets any devices that provide a specific GUID. An error is returned if no devices contains this GUID.

Available since: | 1.4.1

#### Parameters

`guid` | `const gchar*`
| The GUID, e.g. `e22c4520-43dc-5bb3-8245-5787fead9b63`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| Devices or `NULL`.
| The caller of the method takes ownership of the data container, but not the data inside it.